Subject: Re: CCL:existence of HF-SCF solutions

From: Pablo Echenique Robba <pnique~at~unizar.es>
Date: Wed, 08 Jun 2005 12:26:31 +0200

Dear Guilherme,

Thank you very much for your precise and useful answer. I have one more 
question however: when you answer to my point b), you don't mention 
anything about checking that the minimum is not only local but also 
global. Are there checks for this?

Thanks and regards,

Pablo.

Guilherme Menegon Arantes wrote:

>On Tue, Jun 07, 2005 at 06:37:34PM +0200, Pablo Echenique Robba wrote:
>  
>
>>Hello everybody.
>>
>>What I wanted to know is whether someone could indicate to me where may 
>>I find a discussion on the existence of solutions of the HF-SCF 
>>iterative procedure. I first enumerate briefly what I know:
>>
>>1) The HF equations HAVE solutions (Lieb and Simon, 1977).
>>2) Any solution of the HF equations is an extremal, with no indication 
>>about its being a maximum, a saddle point or a minimum whatsoever.
>>3) The SCF method DOES NOT always converge. Of course, when it does 
>>converge, the wave function that results is indeed a solution of the HF 
>>equations. Again, with no indication about its being a maximum, a saddle 
>>point or a minimum.
>>
>>My two questions are related to point 3:
>>
>>a) When does the SCF converge?
>>b) How do we know, if it converged, that it did it to a minimum (and not 
>>to a maximum or to a saddle point)?
>>
>>I would thank very much any hint to articles or books discussing this. I 
>>mean, further than the typical "we hope it converge because our basis 
>>sets and our starting point are so good".
>>    
>>
>
>
>Hi Pablo,
>
>I see two issues here. One is the analicity of the HF equations. And
>they do have solutions. The other issue is the computational or
>numerical procedure used to find those solutions.
>
>Regarding b), we know that the converged solution is a minimum by
>calculating the second derivative of the solution wrt the (MO) 
>coeficients, this is the "stability" check found in some computer
>programs.
>
>Regarding a), there are many different SCF algorithms. Some first order
>(use only 1st derivatives wrt to coeficients), other second order (use
>1st and 2nd derivatives) and quasi-second order (use some approximation
>to the 2nd derivatives). Each type has diffrent convergence properties,
>and pratical/observed convergence depends on the region of the 
>coeficient space which you start your optimization.
>
>There are many reviews on these subjects, try:
>author = "T. Helgaker",
>title = "Optimization of Minima and saddle points",
>booktitle = "Lectures Notes in Quantum Chemistry - European Summer
>School in Quantum Chemistry",
>editor = "B. O. Roos",
>year = 1992,
>volume = 1,
>publisher = "Springer-Verlag",
>pages = {295-324},
>address = "Berlin",
>
>or
>
>author = "H. B. Schlegel",
>title = "Optimization of equilibrium geometries and transition
>structures",
>journal = "Adv. Chem. Phys." ,
>year =  1987,
>volume = 67,
>pages = {249-286},
>
>Hope it helps,
>
>Guilherme
>
>
>  
>

-- 

------------------------------------
  Pablo Echenique Robba

  Departamento de Fisica Teorica
                &
  Instituto de Biocomputacion y
  Fisica de los Sistemas Complejos
  BIFI

  Universidad de Zaragoza
  50009 Zaragoza
  Spain

  Tel.:    34 976761260
  E-mail:  pnique~at~unizar.es
------------------------------------